Subject: Re: bug#24472: 25.1; Emacs crashes when clicking on OSX menu bar when opening file with tramp

From: Alan Third <[email-masked]>
Date: Sat, 02 Jan 2021 22:39:49 +0000

This crash appears to have been caused by a violation of autorelease
pool nesting. I've pushed a fix to the master branch:

f14869cd70e61b1908ec88a5e3d4bf21c7d538a0

Sometimes it seems to leave the menus inoperative until the mouse is
moved, but that's far better than a crash IMO, and I still don't know
what the problem is. I think there must be some bad interaction between
Emacs's select thread, and the menu's modal run loop.

If you're still seeing a crash, please reply to this email and we'll
reopen the bug report.
-- 
Alan Third